/***********************************************************************

GECCO, a platform for command and control gaming

Copyright (C) 2001 Karl Hasselström

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or (at
your option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
USA.

***********************************************************************/

package gecco.util;

import java.io.*;

/**
 *  Description of the Class
 *
 * @author     Karl Hasselström
 * @created    July 3, 2001
 */
public class AutoFlushWriter extends PrintWriter {
    /**
     *  Constructor for the AutoFlushWriter object
     *
     * @param  out  Description of Parameter
     */
    public AutoFlushWriter(Writer out) {
        super(out);
    }


    /**
     *  Constructor for the AutoFlushWriter object
     *
     * @param  out  Description of Parameter
     */
    public AutoFlushWriter(OutputStream out) {
        super(out);
    }


    /**
     *  Description of the Method
     *
     * @param  b  Description of Parameter
     */
    public void print(boolean b) {
        super.print(b);
        flush();
    }


    /**
     *  Description of the Method
     *
     * @param  c  Description of Parameter
     */
    public void print(char c) {
        super.print(c);
        flush();
    }


    /**
     *  Description of the Method
     *
     * @param  s  Description of Parameter
     */
    public void print(char[] s) {
        super.print(s);
        flush();
    }


    /**
     *  Description of the Method
     *
     * @param  d  Description of Parameter
     */
    public void print(double d) {
        super.print(d);
        flush();
    }


    /**
     *  Description of the Method
     *
     * @param  f  Description of Parameter
     */
    public void print(float f) {
        super.print(f);
        flush();
    }


    /**
     *  Description of the Method
     *
     * @param  i  Description of Parameter
     */
    public void print(int i) {
        super.print(i);
        flush();
    }


    /**
     *  Description of the Method
     *
     * @param  l  Description of Parameter
     */
    public void print(long l) {
        super.print(l);
        flush();
    }


    /**
     *  Description of the Method
     *
     * @param  obj  Description of Parameter
     */
    public void print(Object obj) {
        super.print(obj);
        flush();
    }


    /**
     *  Description of the Method
     *
     * @param  s  Description of Parameter
     */
    public void print(String s) {
        super.print(s);
        flush();
    }


    /**
     *  Description of the Method
     */
    public void println() {
        super.println();
        flush();
    }


    /**
     *  Description of the Method
     *
     * @param  b  Description of Parameter
     */
    public void println(boolean b) {
        super.println(b);
        flush();
    }


    /**
     *  Description of the Method
     *
     * @param  c  Description of Parameter
     */
    public void println(char c) {
        super.println(c);
        flush();
    }


    /**
     *  Description of the Method
     *
     * @param  s  Description of Parameter
     */
    public void println(char[] s) {
        super.println(s);
        flush();
    }


    /**
     *  Description of the Method
     *
     * @param  d  Description of Parameter
     */
    public void println(double d) {
        super.println(d);
        flush();
    }


    /**
     *  Description of the Method
     *
     * @param  f  Description of Parameter
     */
    public void println(float f) {
        super.println(f);
        flush();
    }


    /**
     *  Description of the Method
     *
     * @param  i  Description of Parameter
     */
    public void println(int i) {
        super.println(i);
        flush();
    }


    /**
     *  Description of the Method
     *
     * @param  l  Description of Parameter
     */
    public void println(long l) {
        super.println(l);
        flush();
    }


    /**
     *  Description of the Method
     *
     * @param  o  Description of Parameter
     */
    public void println(Object o) {
        super.println(o);
        flush();
    }


    /**
     *  Description of the Method
     *
     * @param  s  Description of Parameter
     */
    public void println(String s) {
        super.println(s);
        flush();
    }


    /**
     *  Description of the Method
     *
     * @param  cbuf  Description of Parameter
     * @param  off   Description of Parameter
     * @param  len   Description of Parameter
     */
    public void write(char[] cbuf, int off, int len) {
        super.write(cbuf, off, len);
        flush();
    }


    /**
     *  Description of the Method
     *
     * @param  cbuf  Description of Parameter
     */
    public void write(char[] cbuf) {
        super.write(cbuf);
        flush();
    }


    /**
     *  Description of the Method
     *
     * @param  c  Description of Parameter
     */
    public void write(int c) {
        super.write(c);
        flush();
    }


    /**
     *  Description of the Method
     *
     * @param  str  Description of Parameter
     * @param  off  Description of Parameter
     * @param  len  Description of Parameter
     */
    public void write(String str, int off, int len) {
        super.write(str, off, len);
        flush();
    }


    /**
     *  Description of the Method
     *
     * @param  str  Description of Parameter
     */
    public void write(String str) {
        super.write(str);
        flush();
    }
}
